Subject: Re: net-next 32-bit clang build error in net/netfilter/nf_synproxy_core.o

From: Florian Westphal <[email-masked]>
Date: Mon, 1 Jun 2026 21:14:08 +0200

Jeff Johnson <[email-masked]> wrote:
> wireless-next/main has fast-forwarded to e7d6bd24e883 and I'm in the process
> of also fast-forwarding ath/ath-next, but I'm seeing a build failure:
> 
> In file included from ../net/netfilter/nf_synproxy_core.c:7:
> In file included from ../include/linux/skbuff.h:26:
> In file included from ../include/net/checksum.h:21:
> In file included from ../arch/x86/include/asm/checksum.h:9:
> ../arch/x86/include/asm/checksum_32.h:149:6: error: inline assembly requires more registers than available
>   149 |         asm("addl 0(%1), %0     ;\n"
>       |             ^
> 1 error generated.
> make[5]: *** [../scripts/Makefile.build:289: net/netfilter/nf_synproxy_core.o] Error 1
> 
> This is with "ARCH=i386 LLVM=llvm-19.1.7-x86_64/bin/"
> 
> I use a config made via: make $allmodconfig
> 
> A lore search doesn't show any recent instances of this issue.
> 
> Rebuilding from scratch shows the same issue.
> 
> Any thoughts?

Happens since 403cec8ab6d0 ("netfilter: add option for GCOV
profiling").  'allmodconfig' sets CONFIG_GCOV_PROFILE_NETFILTER=y

Same problem after revert or plain 7.0 when I set CONFIG_GCOV_PROFILE_ALL=y
(which depends on !COMPILE_TEST so its off for 'make allmodconfig').